using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Current_Product_ListAccess  : Daolite.BusinessAccess
	{

		public  Current_Product_ListAccess() : base("Current_Product_List", NwindConfiger.GetConfiger())
		{
		}


		public Current_Product_List[] Query()
		{
			return base.Query<Current_Product_List>();
		}


		public Current_Product_List[] QueryRelated()
		{
			return base.QueryRelated<Current_Product_List>();
		}


		public Current_Product_List QueryOne(bool isRelated)
		{
			return base.QueryOne<Current_Product_List>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
